<div class="login-page">
  <div class="form">
    <div class="login">
      <div class="login-header">
        <h3>Update details</h3>
        <p>Please enter your details to register.</p>
      </div>
    </div>
    <%= form_for(resource, as: resource_name, url: registration_path(resource_name)) do |f| %>
      <%= render "devise/shared/error_messages", resource: resource %>
      <%= f.text_field :first_name, autofocus: true, autocomplete: "first name", placeholder:"first name", required: true %>
      <%= f.text_field :last_name, autofocus: true, autocomplete: "last name", placeholder:"last name", required: true %>

      

      <!-- Fields for email -->
      <div id="email-field" class="field">
        <%= f.email_field :email, autofocus: true, autocomplete: "email", required: false, placeholder:"email" %>
      </div>

      <!-- Fields for phone -->
      <div id="phone-field" class="field">
        <%= f.text_field :phone, autofocus: true, autocomplete: "phone number", placeholder:"phone number" %>
      </div>

      <div class="field">
        <%= f.password_field :password, autocomplete: "new-password", placeholder:"password"%>
        <i>(leave blank if you don't want to change it)</i><br/>
        <% if @minimum_password_length %>
          <em>(<%= @minimum_password_length %> characters minimum)</em>
        <% end %><br />
        </div>

      <div class="field">
        <%= f.password_field :password_confirmation, autocomplete: "new-password", placeholder:"confirm password" %>
       
        </div>

      <div class="field">
        <%= f.password_field :current_password, autocomplete: "current-password", placeholder:"current password"%>
        <i>(we need your current password to confirm your changes)</i>
        <br />
      </div>

      <%= f.submit "Update", class:"button btn btn-primary" %>
      
    <% end %>
  <%= link_to "Back", :back %>
</div>


